| maskfeat

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Write a sequence with masked features

## Description

maskfeat reads a sequence with associated features and writes the same information to file but with features of the specified type omitted (masked). Sequence regions corresponding to the masked-out features are masked such that characters in those region are (optionally) converted to lower case and / or (optionally) replaced with the specified mask character.

## Usage

Here is a sample session with maskfeat

Mask out a feature whose type is "repeat_region" from position 2331 to 2356:

    % maskfeat tembl:ab000360
    Write a sequence with masked features
    output sequence [ab000360.fasta]:

Go to the input files for this example
Go to the output files for this example

Example 2

Change to lower-case a feature whose type is "repeat_region" from position 2331 to 2356. Note that '-supper' is used to make the whole sequence upper-case before the lower-case masking:

    % maskfeat tembl:ab000360 -tolower -supper
    Write a sequence with masked features
    output sequence [ab000360.fasta]:

Go to the output files for this example

## Command line arguments

    Write a sequence with masked features
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     Sequence(s) filename and optional format, or
                                      reference (input USA)
      [-outseq]            seqout     [.] Sequence filename and
                                      optional format (output USA)

       Additional (Optional) qualifiers (* if not always prompted):
       -type               string     [repeat*] By default any feature in the
                                      feature table with a type starting 'repeat'
                                      is masked. You can set this to be any
                                      feature type you wish to mask.
                                      See http://www.ebi.ac.uk/embl/WebFeat/ for a
                                      list of the EMBL feature types and see
                                      Appendix A of the Swissprot user manual in
                                      http://www.expasy.org/sprot/userman.html for
                                      a list of the Swissprot feature types.
                                      The type may be wildcarded by using '*'.
                                      If you wish to mask more than one type,
                                      separate their names with spaces or commas,
                                      eg:
                                      *UTR repeat* (Any string)
       -tolower            toggle     [N] The region can be 'masked' by converting
                                      the sequence characters to lower-case, some
                                      non-EMBOSS programs e.g. fasta can
                                      interpret this as a masked region. The
                                      sequence is unchanged apart from the case
                                      change. You might like to ensure that the
                                      whole sequence is in upper-case before
                                      masking the specified regions to lower-case
                                      by using the '-supper' flag.
    *  -maskchar           string     ['X' for protein, 'N' for nucleic] Character
                                      to use when masking.
                                      Default is 'X' for protein sequences, 'N'
                                      for nucleic sequences.
                                      If the mask character is set to be the SPACE
                                      character or a null character, then the
                                      sequence is 'masked' by changing it to
                                      lower-case, just as with the '-lowercase'
                                      flag. (Any string up to 1 characters)

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | Sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outseq] (Parameter 2) | seqout | Sequence filename and optional format (output USA) | Writeable sequence | <*>.format
Additional (Optional) qualifiers
-type | string | By default any feature in the feature table with a type starting 'repeat' is masked. You can set this to be any feature type you wish to mask. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to mask more than one type, separate their names with spaces or commas, eg: *UTR repeat* | Any string | repeat*
-tolower | toggle | The region can be 'masked' by converting the sequence characters to lower-case, some non-EMBOSS programs e.g. fasta can interpret this as a masked region. The sequence is unchanged apart from the case change. You might like to ensure that the whole sequence is in upper-case before masking the specified regions to lower-case by using the '-supper' flag. | Toggle value Yes/No | No
-maskchar | string | Character to use when masking. Default is 'X' for protein sequences, 'N' for nucleic sequences. If the mask character is set to be the SPACE character or a null character, then the sequence is 'masked' by changing it to lower-case, just as with the '-lowercase' flag. | Any string up to 1 characters | 'X' for protein, 'N' for nucleic
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outseq" associated seqout qualifiers
-osformat2 -osformat_outseq | string | Output seq format | Any string |
-osextension2 -osextension_outseq | string | File name extension | Any string |
-osname2 -osname_outseq | string | Base file name | Any string |
-osdirectory2 -osdirectory_outseq | string | Output directory | Any string |
-osdbname2 -osdbname_outseq | string | Database name to add | Any string |
-ossingle2 -ossingle_outseq | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo2 -oufo_outseq | string | UFO features | Any string |
-offormat2 -offormat_outseq | string | Features format | Any string |
-ofname2 -ofname_outseq | string | Features file name | Any string |
-ofdirectory2 -ofdirectory_outseq | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

maskfeat reads one or more nucleotide or protein sequences with features.

The input is a standard EMBOSS sequence query (also known as a 'USA') with associated feature information.

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: text, html, xml (uniprotxml), obo, embl (swissprot)

Where the sequence format has no feature information, a second file can be read to load the feature data. The file is specified with the qualifier `-ufo xxx` and the feature format is specified with the qualifier `-fformat xxx`

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

See: http://emboss.sf.net/docs/themes/FeatureFormats.html for further information on feature formats.

### Input files for usage example

'tembl:ab000360' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:ab000360

    ID   AB000360; SV 1; linear; genomic DNA; STD; HUM; 2582 BP.
    XX
    AC   AB000360;
    XX
    DT   27-OCT-1997 (Rel. 53, Created)
    DT   28-SEP-2008 (Rel. 97, Last updated, Version 5)
    XX
    DE   Homo sapiens PIGC gene, complete cds.
    XX
    KW   .
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Euarchontoglires; Primates; Haplorrhini; Catarrhini; Hominidae;
    OC   Homo.
    XX
    RN   [1]
    RP   1-2582
    RA   Hong Y., Ohishi K., Inoue N., Endo Y., Fujita T., Takeda J., Kinoshita T.;
    RT   ;
    RL   Submitted (08-JAN-1997) to the INSDC.
    RL   Contact:Yeongjin Hong Research Institute for Microbial Diseases,
    RL   Immunoregulation; 3-1 Yamada-oka, Suita, Osaka 565, Japan
    XX
    RN   [2]
    RX   DOI; 10.1006/geno.1997.4893.
    RX   PUBMED; 9325057.
    RA   Hong Y., Ohishi K., Inoue N., Endo Y., Fujita T., Takeda J., Kinoshita T.;
    RT   "Structures and chromosomal localizations of the
    RT   glycosylphosphatidylinositol synthesis gene PIGC and its pseudogene
    RT   PIGCP1";
    RL   Genomics 44(3):347-349(1997).
    XX
    DR   Ensembl-Gn; ENSG00000135845; Homo_sapiens.
    DR   Ensembl-Tr; ENST00000258324; Homo_sapiens.
    DR   Ensembl-Tr; ENST00000344529; Homo_sapiens.
    DR   Ensembl-Tr; ENST00000367728; Homo_sapiens.
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..2582
    FT                   /organism="Homo sapiens"
    FT                   /chromosome="1"
    FT                   /map="1q23-q25"
    FT                   /mol_type="genomic DNA"
    FT                   /db_xref="taxon:9606"
    FT   exon            808..2266
    FT   CDS             1101..1994
    FT                   /codon_start=1
    FT                   /transl_table=1

      [Part of this file has been deleted for brevity]

    FT   variation       2259
    FT                   /replace="t"
    FT   repeat_region   2331..2356
    FT                   /rpt_unit_seq="gt"
    XX
    SQ   Sequence 2582 BP; 694 A; 494 C; 581 G; 813 T; 0 other;
         ggatccctgc tgcagagggg gtaacggtgt ctggcttgcc aagcaatatt tgttgtggtc        60
         tatcatggaa gaaataaagt cgggcaatat gaattttttt tttctcaaat ttgccggatg       120
         gctgtggtgt ttctgactct tagttttctc attgtgaaaa aggaatgatt atcttcttcg       180
         atcctctcaa gagtttcctt gttttgagta gattgatagc tctttaaagg atgctaagct       240
         cagctaatgg aagaagagtc tagtttcttt gaggctttga ttttggttaa actatagagc       300
         tcataccttt ctgtatggtg cagcttacta ttgtctttgg attggtaact taaaaaatac       360
         aaataacatg cctttgagaa ccaataaaaa ctatggatat tatccctata aatttacaca       420
         aatccagata taagcatgca atgtgatata cctaagggat atgtgaacca ctgagttaag       480
         aactgcttta gagggagata caatgtgaga cacaggcttt gggataagac tttggtttga       540
         atcctggctc tgctctgtta ccttagggca aagttactta agcatcttga atctcagctt       600
         ttttaccaaa gcaggactaa tactaactta caaggtggtg aggattaagt gaaagaagat       660
         acataaggca cttagcacat agtaggtact caataagcga tagctaacag atgtctatta       720
         ttattcaagg aattataatt ttcaaatctg aaatgcagtt ttaatgtccc ataaggtgac       780
         taccacatac atttttctca gacttttagt aaactgagtt gatttgactt tatctcagta       840
         ctactcttga cctttcacaa ctttcgtagg ttcacagtct ctctttttct aggaacttgg       900
         ctgtgttgtc ctgcctcaga gacaaattca tctattgtag gcctagcccc tgcctttgaa       960
         aacaaggaaa ggttggtaga acatcaacac agcatggaat ttccagggag gtctcatttc      1020
         aaaacttcat aaagaacaag aaccacctgg acttctgtga gggcgatgat taaactggcc      1080
         tgagtttgaa tgaaaggata atgtatgctc aacctgtgac taacaccaag gaggtcaagt      1140
         ggcagaaggt cttgtatgag cgacagccct ttcctgataa ctatgtggac cggcgattcc      1200
         tggaagagct ccggaaaaac atccatgctc ggaaatacca atattgggct gtggtatttg      1260
         agtccagtgt ggtgatccag cagctgtgca gtgtttgtgt ttttgtggtt atctggtggt      1320
         atatggatga gggtcttctg gccccccatt ggcttttagg gactggcctg gcttcttcac      1380
         tgattgggta tgttttgttt gatctcattg atggaggtga agggcggaag aagagtgggc      1440
         agacccggtg ggctgacctg aagagtgccc tagtcttcat tactttcact tatgggtttt      1500
         caccagtgct gaagaccctt acagagtctg tcagcactga caccatctat gccatgtcag      1560
         tcttcatgct gttaggccat ctcatctttt ttgactatgg tgccaatgct gccattgtat      1620
         ccagcacact atccttgaac atggccatct ttgcttctgt atgcttggca tcacgtcttc      1680
         cccggtccct gcatgccttc atcatggtga catttgccat tcagattttt gccctgtggc      1740
         ccatgttgca gaagaaacta aaggcatgta ctccccggag ctatgtgggg gtcacactgc      1800
         tttttgcatt ttcagccgtg ggaggcctac tgtccattag tgctgtggga gccgtactct      1860
         ttgcccttct gctgatgtct atctcatgtc tgtgttcatt ctacctcatt cgcttgcagc      1920
         tttttaaaga aaacattcat gggccttggg atgaagctga aatcaaggaa gacttgtcca      1980
         ggttcctcag ttaaattagg acatccatta cattattaaa gcaagctgat agattagcct      2040
         cctaactagt atagaactta aagacagagt tccattctgg aagcagcatg tcattgtggt      2100
         aagagaatag agatcaaaac caaaaaaaat gaaccaaagg cttgggtggt gagggtgctt      2160
         atcctttctg ttattttgta gatgaaaaaa ctttctgggg acctcttgaa ttacatgctg      2220
         taacatatga agtgatgtgg tttctattaa aaaaataaca catccatcaa gttgtctcat      2280
         gatttttcca taaacaggag gcagacagag gggcatgaag agtgaagtaa gtgtgtgtgt      2340
         gtgtgtgtgt gtgtgtaaag tcacttcttt ctaccctttt caatgtgcta atgctctttt      2400
         atttatctag ggctcaaatc ttagaacaca gggtgctatg ctcagttttg ttgcccaaga      2460
         tcacagaatt ggttacttaa ccttgactca gagtttctac cttgttctta gggaagcata      2520
         tcacaactaa ttgcaaagca gagtgtgatg tgtcacaata agcagaatgc tagggggaat      2580
         tc                                                                     2582
    //

## Output file format

The output is a standard EMBOSS sequence file.

The results can be output in one of several styles by using the command-line qualifier `-osformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

The sequence file has features masked with the specified character.

### Output files for usage example

### File: ab000360.fasta

    >AB000360 AB000360.1 Homo sapiens PIGC gene, complete cds.
    ggatccctgctgcagagggggtaacggtgtctggcttgccaagcaatatttgttgtggtc
    tatcatggaagaaataaagtcgggcaatatgaattttttttttctcaaatttgccggatg
    gctgtggtgtttctgactcttagttttctcattgtgaaaaaggaatgattatcttcttcg
    atcctctcaagagtttccttgttttgagtagattgatagctctttaaaggatgctaagct
    cagctaatggaagaagagtctagtttctttgaggctttgattttggttaaactatagagc
    tcatacctttctgtatggtgcagcttactattgtctttggattggtaacttaaaaaatac
    aaataacatgcctttgagaaccaataaaaactatggatattatccctataaatttacaca
    aatccagatataagcatgcaatgtgatatacctaagggatatgtgaaccactgagttaag
    aactgctttagagggagatacaatgtgagacacaggctttgggataagactttggtttga
    atcctggctctgctctgttaccttagggcaaagttacttaagcatcttgaatctcagctt
    ttttaccaaagcaggactaatactaacttacaaggtggtgaggattaagtgaaagaagat
    acataaggcacttagcacatagtaggtactcaataagcgatagctaacagatgtctatta
    ttattcaaggaattataattttcaaatctgaaatgcagttttaatgtcccataaggtgac
    taccacatacatttttctcagacttttagtaaactgagttgatttgactttatctcagta
    ctactcttgacctttcacaactttcgtaggttcacagtctctctttttctaggaacttgg
    ctgtgttgtcctgcctcagagacaaattcatctattgtaggcctagcccctgcctttgaa
    aacaaggaaaggttggtagaacatcaacacagcatggaatttccagggaggtctcatttc
    aaaacttcataaagaacaagaaccacctggacttctgtgagggcgatgattaaactggcc
    tgagtttgaatgaaaggataatgtatgctcaacctgtgactaacaccaaggaggtcaagt
    ggcagaaggtcttgtatgagcgacagccctttcctgataactatgtggaccggcgattcc
    tggaagagctccggaaaaacatccatgctcggaaataccaatattgggctgtggtatttg
    agtccagtgtggtgatccagcagctgtgcagtgtttgtgtttttgtggttatctggtggt
    atatggatgagggtcttctggccccccattggcttttagggactggcctggcttcttcac
    tgattgggtatgttttgtttgatctcattgatggaggtgaagggcggaagaagagtgggc
    agacccggtgggctgacctgaagagtgccctagtcttcattactttcacttatgggtttt
    caccagtgctgaagacccttacagagtctgtcagcactgacaccatctatgccatgtcag
    tcttcatgctgttaggccatctcatcttttttgactatggtgccaatgctgccattgtat
    ccagcacactatccttgaacatggccatctttgcttctgtatgcttggcatcacgtcttc
    cccggtccctgcatgccttcatcatggtgacatttgccattcagatttttgccctgtggc
    ccatgttgcagaagaaactaaaggcatgtactccccggagctatgtgggggtcacactgc
    tttttgcattttcagccgtgggaggcctactgtccattagtgctgtgggagccgtactct
    ttgcccttctgctgatgtctatctcatgtctgtgttcattctacctcattcgcttgcagc
    tttttaaagaaaacattcatgggccttgggatgaagctgaaatcaaggaagacttgtcca
    ggttcctcagttaaattaggacatccattacattattaaagcaagctgatagattagcct
    cctaactagtatagaacttaaagacagagttccattctggaagcagcatgtcattgtggt
    aagagaatagagatcaaaaccaaaaaaaatgaaccaaaggcttgggtggtgagggtgctt
    atcctttctgttattttgtagatgaaaaaactttctggggacctcttgaattacatgctg
    taacatatgaagtgatgtggtttctattaaaaaaataacacatccatcaagttgtctcat
    gatttttccataaacaggaggcagacagaggggcatgaagagtgaagtaaNNNNNNNNNN
    NNNNNNNNNNNNNNNNaaagtcacttctttctacccttttcaatgtgctaatgctctttt
    atttatctagggctcaaatcttagaacacagggtgctatgctcagttttgttgcccaaga
    tcacagaattggttacttaaccttgactcagagtttctaccttgttcttagggaagcata
    tcacaactaattgcaaagcagagtgtgatgtgtcacaataagcagaatgctagggggaat
    tc

### Output files for usage example 2

### File: ab000360.fasta

    >AB000360 AB000360.1 Homo sapiens PIGC gene, complete cds.
    GGATCCCTGCTGCAGAGGGGGTAACGGTGTCTGGCTTGCCAAGCAATATTTGTTGTGGTC
    TATCATGGAAGAAATAAAGTCGGGCAATATGAATTTTTTTTTTCTCAAATTTGCCGGATG
    GCTGTGGTGTTTCTGACTCTTAGTTTTCTCATTGTGAAAAAGGAATGATTATCTTCTTCG
    ATCCTCTCAAGAGTTTCCTTGTTTTGAGTAGATTGATAGCTCTTTAAAGGATGCTAAGCT
    CAGCTAATGGAAGAAGAGTCTAGTTTCTTTGAGGCTTTGATTTTGGTTAAACTATAGAGC
    TCATACCTTTCTGTATGGTGCAGCTTACTATTGTCTTTGGATTGGTAACTTAAAAAATAC
    AAATAACATGCCTTTGAGAACCAATAAAAACTATGGATATTATCCCTATAAATTTACACA
    AATCCAGATATAAGCATGCAATGTGATATACCTAAGGGATATGTGAACCACTGAGTTAAG
    AACTGCTTTAGAGGGAGATACAATGTGAGACACAGGCTTTGGGATAAGACTTTGGTTTGA
    ATCCTGGCTCTGCTCTGTTACCTTAGGGCAAAGTTACTTAAGCATCTTGAATCTCAGCTT
    TTTTACCAAAGCAGGACTAATACTAACTTACAAGGTGGTGAGGATTAAGTGAAAGAAGAT
    ACATAAGGCACTTAGCACATAGTAGGTACTCAATAAGCGATAGCTAACAGATGTCTATTA
    TTATTCAAGGAATTATAATTTTCAAATCTGAAATGCAGTTTTAATGTCCCATAAGGTGAC
    TACCACATACATTTTTCTCAGACTTTTAGTAAACTGAGTTGATTTGACTTTATCTCAGTA
    CTACTCTTGACCTTTCACAACTTTCGTAGGTTCACAGTCTCTCTTTTTCTAGGAACTTGG
    CTGTGTTGTCCTGCCTCAGAGACAAATTCATCTATTGTAGGCCTAGCCCCTGCCTTTGAA
    AACAAGGAAAGGTTGGTAGAACATCAACACAGCATGGAATTTCCAGGGAGGTCTCATTTC
    AAAACTTCATAAAGAACAAGAACCACCTGGACTTCTGTGAGGGCGATGATTAAACTGGCC
    TGAGTTTGAATGAAAGGATAATGTATGCTCAACCTGTGACTAACACCAAGGAGGTCAAGT
    GGCAGAAGGTCTTGTATGAGCGACAGCCCTTTCCTGATAACTATGTGGACCGGCGATTCC
    TGGAAGAGCTCCGGAAAAACATCCATGCTCGGAAATACCAATATTGGGCTGTGGTATTTG
    AGTCCAGTGTGGTGATCCAGCAGCTGTGCAGTGTTTGTGTTTTTGTGGTTATCTGGTGGT
    ATATGGATGAGGGTCTTCTGGCCCCCCATTGGCTTTTAGGGACTGGCCTGGCTTCTTCAC
    TGATTGGGTATGTTTTGTTTGATCTCATTGATGGAGGTGAAGGGCGGAAGAAGAGTGGGC
    AGACCCGGTGGGCTGACCTGAAGAGTGCCCTAGTCTTCATTACTTTCACTTATGGGTTTT
    CACCAGTGCTGAAGACCCTTACAGAGTCTGTCAGCACTGACACCATCTATGCCATGTCAG
    TCTTCATGCTGTTAGGCCATCTCATCTTTTTTGACTATGGTGCCAATGCTGCCATTGTAT
    CCAGCACACTATCCTTGAACATGGCCATCTTTGCTTCTGTATGCTTGGCATCACGTCTTC
    CCCGGTCCCTGCATGCCTTCATCATGGTGACATTTGCCATTCAGATTTTTGCCCTGTGGC
    CCATGTTGCAGAAGAAACTAAAGGCATGTACTCCCCGGAGCTATGTGGGGGTCACACTGC
    TTTTTGCATTTTCAGCCGTGGGAGGCCTACTGTCCATTAGTGCTGTGGGAGCCGTACTCT
    TTGCCCTTCTGCTGATGTCTATCTCATGTCTGTGTTCATTCTACCTCATTCGCTTGCAGC
    TTTTTAAAGAAAACATTCATGGGCCTTGGGATGAAGCTGAAATCAAGGAAGACTTGTCCA
    GGTTCCTCAGTTAAATTAGGACATCCATTACATTATTAAAGCAAGCTGATAGATTAGCCT
    CCTAACTAGTATAGAACTTAAAGACAGAGTTCCATTCTGGAAGCAGCATGTCATTGTGGT
    AAGAGAATAGAGATCAAAACCAAAAAAAATGAACCAAAGGCTTGGGTGGTGAGGGTGCTT
    ATCCTTTCTGTTATTTTGTAGATGAAAAAACTTTCTGGGGACCTCTTGAATTACATGCTG
    TAACATATGAAGTGATGTGGTTTCTATTAAAAAAATAACACATCCATCAAGTTGTCTCAT
    GATTTTTCCATAAACAGGAGGCAGACAGAGGGGCATGAAGAGTGAAGTAAgtgtgtgtgt
    gtgtgtgtgtgtgtgtAAAGTCACTTCTTTCTACCCTTTTCAATGTGCTAATGCTCTTTT
    ATTTATCTAGGGCTCAAATCTTAGAACACAGGGTGCTATGCTCAGTTTTGTTGCCCAAGA
    TCACAGAATTGGTTACTTAACCTTGACTCAGAGTTTCTACCTTGTTCTTAGGGAAGCATA
    TCACAACTAATTGCAAAGCAGAGTGTGATGTGTCACAATAAGCAGAATGCTAGGGGGAAT
    TC

## Data files

None.

## Notes

Formats such as EMBL or SWISSPROT include features in the sequence annotation. Otherwise, features they may be supplied in a separate file and specified with the qualifier `-ufo` or `-fopenfile` / `-fformat`.

The feature type to mask is by default `repeat*`, i.e. any type whose name starts with `repeat` will be omitted from the output file. Any other type of feature(s) may be specified with the `-type` qualifier. To specify more than one type of feature, separate their names with spaces or commas. The names may be wild-carded with asterisks `*` to find gruops of feature types sharing a common part of their names.

If you are unsure of the names of feature types in use, please consult http://www.ebi.ac.uk/Services/WebFeat/ (EMBL feature types) and see Appendix A of the Swissprot user manual in http://www.uniprot.org/manual/sequence_annotation (Swissprot feature types).

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Remove a section from a sequence
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Read and write a feature table
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsetall | Read and write (return) many sets of sequences
seqretsplit | Read sequences and write them to individual files
showfeat | Display features of a sequence in pretty format
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
twofeat | Find neighbouring pairs of features in sequence(s)
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (2000) - Gary Williams

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None